Clone an RFQ
curl --request POST \
--url https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/clone/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"asset": "<string>",
"organizations": [
"<string>"
]
}
'import requests
url = "https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/clone/"
payload = {
"asset": "<string>",
"organizations": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({asset: '<string>', organizations: ['<string>']})
};
fetch('https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/clone/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"asset": "<string>",
"title": "<string>",
"subtitle": "<string>",
"status": "draft",
"due_date": "2023-12-25",
"template": "<unknown>",
"token": {
"symbol": "<string>",
"name": "<string>",
"tracked_asset": "<string>"
},
"target_exchanges": [
{
"id": "<string>",
"name": "<string>",
"tracked_exchange": "<string>",
"market_types": [
"spot"
]
}
],
"created_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"draft_owner": {
"browser_id": "<string>",
"account": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"associated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"proposals": [
{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"status": "pending",
"response_data": "<unknown>",
"submitted_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"respond": true,
"review": true,
"create_targets": true
},
"targets_created_at": "2023-11-07T05:31:56Z"
}
],
"permissions": {
"manage": true
}
}RFQ
Clone an RFQ
The owner copies an RFQ's requirements into a new draft titled "<title> (Copy)", and invites the market-maker organizations listed in `organizations` (slugs). Each one must be a market maker for the asset. `asset`, if sent, must be the original asset.
Clone an RFQ
curl --request POST \
--url https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/clone/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"asset": "<string>",
"organizations": [
"<string>"
]
}
'import requests
url = "https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/clone/"
payload = {
"asset": "<string>",
"organizations": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({asset: '<string>', organizations: ['<string>']})
};
fetch('https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/clone/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"asset": "<string>",
"title": "<string>",
"subtitle": "<string>",
"status": "draft",
"due_date": "2023-12-25",
"template": "<unknown>",
"token": {
"symbol": "<string>",
"name": "<string>",
"tracked_asset": "<string>"
},
"target_exchanges": [
{
"id": "<string>",
"name": "<string>",
"tracked_exchange": "<string>",
"market_types": [
"spot"
]
}
],
"created_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"draft_owner": {
"browser_id": "<string>",
"account": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"associated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"proposals": [
{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"status": "pending",
"response_data": "<unknown>",
"submitted_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"respond": true,
"review": true,
"create_targets": true
},
"targets_created_at": "2023-11-07T05:31:56Z"
}
],
"permissions": {
"manage": true
}
}Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
201 - application/json
draft- Draftactive- Activecompleted- Completedarchived- Archived
Available options:
draft, active, completed, archived Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
All proposals for the RFQ owner; only your own for a bidder.
Show child attributes
Show child attributes
Show child attributes
Show child attributes

